Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface EmbeddedMetadata

All Superinterfaces:
  Metadata

    public interface EmbeddedMetadata

extends Metadata

Represents embedding details of a field/property in a class.

Since:
  3.0

Method Summary
`MemberMetadata[]` | `getMembers()` Accessor for all fields/properties defined on the fetch group.
`java.lang.String` | `getNullIndicatorColumn()` Accessor for any column indicating a null embedded object
`java.lang.String` | `getNullIndicatorValue()` Accessor for a null indicator value
`int` | `getNumberOfMembers()` Accessor for the number of fields/properties defined for embedding
`java.lang.String` | `getOwnerMember()` Accessor for the owner field/property name.
`FieldMetadata` | `newFieldMetadata(java.lang.String name)` Add a new field to be embedded.
`PropertyMetadata` | `newPropertyMetadata(java.lang.String name)` Add a new property for embedding
`EmbeddedMetadata` | `setNullIndicatorColumn(java.lang.String col)` Method to set any column that indicates a null embedded object
`EmbeddedMetadata` | `setNullIndicatorValue(java.lang.String val)` Method to set the value of a null indicator column to signify null object
`EmbeddedMetadata` | `setOwnerMember(java.lang.String member)` Method to set the name of the owner field/property.

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setOwnerMember

    EmbeddedMetadata setOwnerMember(java.lang.String member)

  Method to set the name of the owner field/property.

  Parameters:
    `member` - Name of the owner member

### getOwnerMember

    java.lang.String getOwnerMember()

  Accessor for the owner field/property name.

  Returns:
    The owner member name

### setNullIndicatorColumn

    EmbeddedMetadata setNullIndicatorColumn(java.lang.String col)

  Method to set any column that indicates a null embedded object

  Parameters:
    `col` - Null indicator column

### getNullIndicatorColumn

    java.lang.String getNullIndicatorColumn()

  Accessor for any column indicating a null embedded object

  Returns:
    Whether to call post-load

### setNullIndicatorValue

    EmbeddedMetadata setNullIndicatorValue(java.lang.String val)

  Method to set the value of a null indicator column to signify null object

  Parameters:
    `val` - Null indicator value

### getNullIndicatorValue

    java.lang.String getNullIndicatorValue()

  Accessor for a null indicator value

  Returns:
    Null indicator value

### getMembers

    MemberMetadata[] getMembers()

  Accessor for all fields/properties defined on the fetch group.

  Returns:
    The members

### getNumberOfMembers

    int getNumberOfMembers()

  Accessor for the number of fields/properties defined for embedding

  Returns:
    The number of members

### newFieldMetadata

    FieldMetadata newFieldMetadata(java.lang.String name)

  Add a new field to be embedded.

  Parameters:
    `name` - Name of the field
  Returns:
    The FieldMetadata

### newPropertyMetadata

    PropertyMetadata newPropertyMetadata(java.lang.String name)

  Add a new property for embedding

  Parameters:
    `name` - Name of the property
  Returns:
    The PropertyMetadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.